package test;


import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;


public class ResponseUtil {
    private ResponseUtil() {
    }

    public static String[] readLines(URL url) throws IOException {
        String content = readFully(url);
        return content.split("[\\r\\n]+");
    }

    public static String readFully(URL url) throws IOException {
        return readFullyAndClose(url.openStream());
    }

    private static String readFullyAndClose(InputStream stream) throws IOException {
        try {
            ByteArrayOutputStream out = new ByteArrayOutputStream(4096);
            byte[] buf = new byte[2014];
            int count;
            while ((count = stream.read(buf)) != -1) {
                out.write(buf, 0, count);
            }
            return new String(out.toByteArray(), "utf8");
        }
        finally {
            stream.close();
        }
    }
}
