package test;


import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.enterprise.context.SessionScoped;
import javax.enterprise.inject.Produces;
import javax.inject.Inject;
import java.io.Serializable;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicReference;


@SessionScoped
public class SessionBeanProducer implements Serializable {
    @Produces
    public UUID getBean() {
        return bean.get();
    }

    @PostConstruct
    void constructed() {
        UUID uuid = UUID.randomUUID();
        bean.set(uuid);
        eventLog.add("created " + uuid);
    }

    @PreDestroy
    void destroy() {
        eventLog.add("calling request bean");
        requestBean.beanMethod();
        eventLog.add("request bean called");
    }

    private final AtomicReference<UUID> bean = new AtomicReference<UUID>();
    @Inject private EventLog eventLog;
    @Inject private RequestBean requestBean;
}
